Bug 30448 - При установке не проверяется зависимость от пакета git
: При установке не проверяется зависимость от пакета git
Status: NEW
: Sisyphus
(All bugs in Sisyphus/bup)
: unstable
: x86 Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-11-06 06:54 by
Modified: 2014-11-06 06:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-11-06 06:54:00
Если установить пакет bup в системе без установленного git, то все проходит
успешно. Однако после этого попытка запустить, например, `bup init' приводит к
аварийному завершению с непонятной ошибкой.

После установки в системе пакета git ошибка исчезает. Очевидно, что bup для
своей корректной работы требует установленного git, но при установке эта
зависимость не проверяется.

То есть, нужно просто добавить зависимость bup от git.